memorized_value.h File Reference

Go to the source code of this file.

## Classes

struct | memorized_vector< T, Value >
class | memorized_matrix
class | memorized_side_value

## Namespaces

| rheolef
| This file is part of Rheolef.
| rheolef::details

## Macros

#define | _RHEOLEF_class_specialization(VALUE, MEMBER)
#define | _RHEOLEF_class_specialization(VALUE, MEMBER)
#define | _RHEOLEF_class_specialization(VALUE, MEMBER)

## Functions

| _RHEOLEF_class_specialization (T, _scalar_val) _RHEOLEF_class_specialization(point_basic< T >
_vector_val | _RHEOLEF_class_specialization (tensor_basic< T >, _tensor_val) _RHEOLEF_class_specialization(tensor3_basic< T >
_vector_val _tensor3_val | _RHEOLEF_class_specialization (tensor4_basic< T >, _tensor4_val) template< class T
| _RHEOLEF_class_specialization (T, _sid_scalar_val) _RHEOLEF_class_specialization(point_basic< T >
_sid_vector_val | _RHEOLEF_class_specialization (tensor_basic< T >, _sid_tensor_val) _RHEOLEF_class_specialization(tensor3_basic< T >

## Macro Definition Documentation

## _RHEOLEF_class_specialization [1/3]

#define _RHEOLEF_class_specialization | ( |  | VALUE,
|  |  | MEMBER
| ) |  |

Value:
template<class T> \
struct memorized_vector<T,VALUE> { \
template <class Object> \
Eigen::Matrix<VALUE,Eigen::Dynamic,1>& \
get (const Object& obj, const reference_element& hat_K) const { \
return obj.MEMBER [hat_K.variant()]; \
} \
}; \

Definition at line 94 of file memorized_value.h.

## _RHEOLEF_class_specialization [2/3]

#define _RHEOLEF_class_specialization | ( |  | VALUE,
|  |  | MEMBER
| ) |  |

Value:
template<class T> \
struct memorized_matrix<T,VALUE> { \
template <class Object> \
Eigen::Matrix<VALUE,Eigen::Dynamic,Eigen::Dynamic>& \
get (const Object& obj, const reference_element& hat_K) const { \
return obj.MEMBER [hat_K.variant()]; \
} \
}; \

Definition at line 94 of file memorized_value.h.

## _RHEOLEF_class_specialization [3/3]

#define _RHEOLEF_class_specialization | ( |  | VALUE,
|  |  | MEMBER
| ) |  |

Value:
template<class T> \
struct memorized_side_value<T,VALUE> { \
template <class Object> \
Eigen::Matrix<VALUE,Eigen::Dynamic,Eigen::Dynamic>& \
get ( \
const Object& obj, \
const reference_element& hat_K, \
const side_information_type& sid) const { \
size_t ori_idx = (sid.orient == 1) ? 0 : 1; \
return obj.MEMBER [hat_K.variant()] [sid.loc_isid] [ori_idx] [sid.shift]; \
} \
}; \

Definition at line 94 of file memorized_value.h.